Package javassist.tools.rmi

# Class RemoteException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
javassist.tools.rmi.RemoteException

All Implemented Interfaces:
  `Serializable`

public class RemoteException extends RuntimeException
`RemoteException` represents any exception thrown during remote method invocation.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RemoteException(Exception e)`
`RemoteException(String msg)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RemoteException

public RemoteException(String msg)

### RemoteException

public RemoteException(Exception e)